#
# spec file for package rubygem-rspec-support
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rspec-support
Version:        3.3.0
Release:        7.5
%define mod_name rspec-support
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/rspec/rspec-support
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Common code needed by the other RSpec gems
License:        MIT
Group:          Development/Languages/Ruby

%description
Support utilities for RSpec gems.

%prep

%build

%install
%gem_install \
  --doc-files="Changelog.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Tue Jul 28 2015 lslezak@suse.cz
- upgrade to version 3.x (bsc#939726)
* Sat Jun 13 2015 coolo@suse.com
- updated to version 3.3.0
  see installed Changelog.md
  [#]## 3.3.0 / 2015-06-12
  [Full Changelog](http://github.com/rspec/rspec-support/compare/v3.2.2...v3.3.0)
  Enhancements:
  * Improve formatting of arrays and hashes in failure messages so they
    use our custom formatting of matchers, time objects, etc.
    (Myron Marston, Nicholas Chmielewski, #205)
  * Use improved formatting for diffs as well. (Nicholas Chmielewski, #205)
  Bug Fixes:
  * Fix `FuzzyMatcher` so that it checks `expected == actual` rather than
    `actual == expected`, which avoids errors in situations where the
    `actual` object's `==` is improperly implemented to assume that only
    objects of the same type will be given. This allows rspec-mocks'
    `anything` to match against objects with buggy `==` definitions.
    (Myron Marston, #193)
* Thu Feb 26 2015 coolo@suse.com
- updated to version 3.2.2
  Bug Fixes:
  * Fix an encoding issue with `EncodedString#split` when encountering an
  invalid byte string. (Benjamin Fleischer, #1760)
* Fri Feb  6 2015 coolo@suse.com
- updated to version 3.2.1
  Bug Fixes:
  * Fix `RSpec::CallerFilter` to work on Rubinius 2.2.
  (Myron Marston, #169)
  [#]## 3.2.0 / 2015-02-03
  [Full Changelog](http://github.com/rspec/rspec-support/compare/v3.1.2...v3.2.0)
  Enhancements:
  * Add extra Ruby type detection. (Jon Rowe, #133)
  * Make differ instance re-usable. (Alexey Fedorov, #160)
  Bug Fixes:
  * Do not consider `[]` and `{}` to match when performing fuzzy matching.
  (Myron Marston, #157)
* Wed Jan 21 2015 coolo@suse.com
- add gem2rpm.yml
* Wed Jan 21 2015 coolo@suse.com
- initial package (3.1.2)
